Bug 618300 - Starting osa-dispatcher: ... ('Connection attempt failed
Starting osa-dispatcher: ... ('Connection attempt failed
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
1.1
All Linux
high Severity medium
: ---
: ---
Assigned To: Milan Zázrivec
Red Hat Satellite QA List
:
Depends On:
Blocks: space11
  Show dependency treegraph
 
Reported: 2010-07-26 11:21 EDT by Petr Sklenar
Modified: 2011-03-07 09:29 EST (History)
1 user (show)

See Also:
Fixed In Version: osad-5.9.37-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 04:24:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2010-07-26 11:21:44 EDT
Description of problem:
I took today's sw nightly and I could see error when restarting rhn-satellite

Version-Release number of selected component (if applicable):
rhel55 + sw1.1-nightly
osa-dispatcher-5.9.36-1.el5


How reproducible:
always 


Steps to Reproduce:
1.rhn-satellite restart


Actual results:
Starting spacewalk services...
Initializing jabberd processes ...
Starting router:                                           [  OK  ]
Starting sm:                                               [  OK  ]
Starting c2s:                                              [  OK  ]
Starting s2s:                                              [  OK  ]
Starting Oracle Net Listener.
Starting Oracle Database 10g Express Edition Instance.

Starting osa-dispatcher: RHN 23977 2010/07/26 13:36:56 +02:00: ('Connection attempt failed', 12154, 'ORA-12154: TNS:could not resolve the connect identifier specified\n')
RHN 23977 2010/07/26 13:36:56 +02:00: ('Error caught:',)
RHN 23977 2010/07/26 13:36:56 +02:00: ('Traceback (most recent call last):\n  File "/usr/share/rhn/osad/jabber_lib.py", line 119, in main\n    self.setup_config(config)\n  File "/usr/share/rhn/osad/osa_dispatcher.py", line 81, in setup_config\n    rhnSQL.initDB()\n  File "/usr/share/rhn/server/rhnSQL/__init__.py", line 118, in initDB\n    __init__DB(backend, host, port, username, password, database)\n  File "/usr/share/rhn/server/rhnSQL/__init__.py", line 52, in __init__DB\n    __DB.connect()\n  File "/usr/share/rhn/server/rhnSQL/driver_cx_Oracle.py", line 385, in connect\n    raise apply(sql_base.SQLConnectError, err_args)\nSQLConnectError: (12154, \'ORA-12154: TNS:could not resolve the connect identifier specified\\n\', \'oracleinstance\', \'Connection_Connect(): server attach\')\n',)
                                                           [  OK  ]
Starting tomcat5:                                          [  OK  ]
Starting httpd:                                            [  OK  ]
Starting Monitoring ...  
[ OK ]
Starting MonitoringScout ...  
[ OK ]
Starting rhn-search...
Starting cobbler daemon: SERVING!
                                                           [  OK  ]
Starting RHN Taskomatic...
Done.


Expected results:
osa-dispatcher starts

Additional info:
Comment 1 Milan Zázrivec 2010-07-26 11:36:01 EDT
spacewalk.git master: 24a652b81a51a12127500c3ae87fe4f19fdae66f
Comment 2 Milan Zázrivec 2010-08-19 04:24:20 EDT
Spacewalk 1.1 has been released.
Comment 3 Dan Bateman 2011-03-07 09:29:34 EST
I'm seeing this on Spacewalk 1.3 on RHEL6 x86_64 using Oracle XE - when I restart/start rhn-satellite and also in /var/log/rhn/osa-dispatcher.log:


Starting osa-dispatcher: /usr/lib/python2.6/site-packages/jabber/jabber.py:68: DeprecationWarning: the sha module is deprecated; use the hashlib module instead
  import sha, time
RHN 4394 2011/03/07 14:14:13 +01:00: ('Connection attempt failed', 12154, 'ORA-12154: TNS:could not resolve the connect identifier specified\n')
RHN 4394 2011/03/07 14:14:13 +01:00: ('Error caught:',)
RHN 4394 2011/03/07 14:14:13 +01:00: ('Traceback (most recent call last):\n  File "/usr/share/rhn/osad/jabber_lib.py", line 118, in main\n    self.setup_config(config)\n  File "/usr/share/rhn/osad/osa_dispatcher.py", line 80, in setup_config\n    rhnSQL.initDB()\n  File "/usr/lib/python2.6/site-packages/spacewalk/server/rhnSQL/__init__.py", line 121, in initDB\n    __init__DB(backend, host, port, username, password, database)\n  File "/usr/lib/python2.6/site-packages/spacewalk/server/rhnSQL/__init__.py", line 52, in __init__DB\n    __DB.connect()\n  File "/usr/lib/python2.6/site-packages/spacewalk/server/rhnSQL/driver_cx_Oracle.py", line 385, in connect\n    raise apply(sql_base.SQLConnectError, err_args)\nSQLConnectError: (12154, \'ORA-12154: TNS:could not resolve the connect identifier specified\\n\', \'XE\', \'Connection_Connect(): server attach\')\n',)

Note You need to log in before you can comment on or make changes to this bug.